/*
Bluetooth Programmer

Wiring:
RX is digital pin 2 (connect to TX of JY-MCU)
TX is digital pin 3 (connect to RX of JY-MCU)

Use this program with the Arduino.exe and Serial monitor to send AT commands
to the JY-MCU to set the name and pin

*/
#include <SoftwareSerial.h>

SoftwareSerial serialPort(2, 3); // RX & TX

void setup()
{
   // Open serial communications and wait for port to open:
   Serial.begin(9600);

   Serial.println("Connected.");

   // set the data rate for the Software serial port
   serialPort.begin(9600);
   serialPort.println("Goodbye.");
}

void loop() // run over and over
{
   if (serialPort.available())
   {
      Serial.write(serialPort.read());
   }

   if (Serial.available())
   {
      serialPort.write(Serial.read());
   }
}
